Summary:	GeoIP database files for xt_geoip
Summary(pl.UTF-8):	Pliki baz danych GeoIP dla xt_geoip
Name:		xtables-geoip
Version:	20131205
Release:	1
License:	GPL, Open Data License
Group:		Networking/Admin
Source0:	http://geolite.maxmind.com/download/geoip/database/GeoIPCountryCSV.zip
# Source0-md5:	32623589b865084373127f68009b7332
Source1:	http://geolite.maxmind.com/download/geoip/database/GeoIPv6.csv.gz
# Source1-md5:	86b729bfd6d13b0e6b9a058359bda095
Source2:	http://geolite.maxmind.com/download/geoip/database/LICENSE.txt
# Source2-md5:	a1381bd1aa0a0c91dc31b3f1e847cf4a
Source3:	http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=blob_plain;f=geoip/xt_geoip_build
# Source3-md5:	76c6959bad03c1ff064aefcb4811cd92
URL:		http://www.maxmind.com/
BuildRequires:	perl-Text-CSV_XS >= 0.69
BuildRequires:	perl-base
BuildRequires:	rpm >= 4.4.9-56
BuildRequires:	unzip
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		dbdir	/usr/share/xt_geoip

# no debuginfo to package
%define		_enable_debug_packages	0

%ifarch ppc ppc64 s390 s390x sparc sparc64 sparcv9
%define		byteorder	BE
%else
%define		byteorder	LE
%endif

%description
The package contains the GeoIP definition files (which IP addresses
belong to which country) that are needed for Xtables-addons's xt_geoip
module.

%description -l pl.UTF-8
Ten pakiet zawiera pliki definicji GeoIP (określające, które adresy IP
należą do jakiego kraju), wymagane przez moduł xt_geoip z pakietu
xtables-addons.

%prep
%setup -qc
gunzip -c %{SOURCE1} > GeoIPv6.csv
touch -r %{SOURCE1} GeoIPv6.csv

ver4=$(TZ=GMT stat -c '%y' GeoIPCountryWhois.csv | awk '{print $1}' | tr -d -)
ver6=$(TZ=GMT stat -c '%y' GeoIPv6.csv | awk '{print $1}' | tr -d -)
if [ "$ver4" -gt "$ver6" ]; then
	ver=$ver4
else
	ver=$ver6
fi
if [ "$ver" != %{version} ]; then
	exit 1
fi

cp -p %{SOURCE2} .

%build
%{__perl} %{SOURCE3} GeoIPCountryWhois.csv GeoIPv6.csv | tee ranges.txt

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{dbdir}
cp -a %{byteorder} $RPM_BUILD_ROOT%{dbdir}

%if "%{pld_release}" == "ac"
# handle older xtables in ac:
# kernel-net-xtables-addons-1.18-15@2.6.27.53_1.amd64
# still having old .iv0 names requirement
# http://xtables-addons.git.sourceforge.net/git/gitweb.cgi?p=xtables-addons/xtables-addons;a=commitdiff;h=25bf680ead80e505d5073308f151b4007cb5683f
# create hardlink, to be most compatible
for a in $RPM_BUILD_ROOT%{dbdir}/%{byteorder}/*.iv4; do
	ln $a ${a%.iv4}.iv0
done
# kernel-net-xtables-addons-1.18-8@2.6.27.45_1.i686  searches from /var/lib:
# Could not open /var/lib/geoip/LE/EE.iv0: No such file or directory
install -d $RPM_BUILD_ROOT/var/lib
ln -s %{_datadir}/xt_geoip $RPM_BUILD_ROOT/var/lib/geoip
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%if "%{pld_release}" == "ac"
%pretrans
# this needs to be a symlink
if [ -d /var/lib/geoip -a ! -L /var/lib/geoip ]; then
	mv -f /var/lib/geoip{,.rpmsave}
	install -d %{dbdir}
	ln -s %{dbdir} /var/lib/geoip
fi
%endif

%files
%defattr(644,root,root,755)
%doc LICENSE.txt ranges.txt
%dir %{dbdir}
%{dbdir}/%{byteorder}

%if "%{pld_release}" == "ac"
/var/lib/geoip
%endif
%changelog
* Sun Dec 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xtables-geoip.git;a=log;h=master

* Sun Dec 08 2013 Elan Ruusamäe <glen@delfi.ee> a5cfe3f
- up to 20131205

* Thu Nov 07 2013 Elan Ruusamäe <glen@delfi.ee> b807500
- update to 20131106

* Mon Oct 07 2013 Elan Ruusamäe <glen@delfi.ee> 808d49a
- up to 20131001

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 5655d1f
- up to 20130919

* Mon Sep 09 2013 Elan Ruusamäe <glen@delfi.ee> 6bcab24
- up to 20130904

* Sun Aug 18 2013 Elan Ruusamäe <glen@delfi.ee> 448b6b8
- up to 20130816

* Mon Aug 12 2013 Elan Ruusamäe <glen@delfi.ee> a345e0d
- up to 20130807

* Mon Aug 05 2013 Elan Ruusamäe <glen@delfi.ee> 8741fe6
- up to 20130718

* Sun Jul 07 2013 Jan Rękorajski <baggins@pld-linux.org> 72d7a6c
- release 2 (by relup.sh)

* Sat Jul 06 2013 Elan Ruusamäe <glen@delfi.ee> f673ac4
- up to 20130702

* Mon Jun 10 2013 Elan Ruusamäe <glen@delfi.ee> d6427eb
- up to 20130607

* Sun May 19 2013 Elan Ruusamäe <glen@delfi.ee> 62af01f
- up to 20130514

* Sun Apr 21 2013 Elan Ruusamäe <glen@delfi.ee> dd3877f
- up to 20130412

* Thu Mar 21 2013 Elan Ruusamäe <glen@delfi.ee> 075ac3c
- up to 20130312

* Mon Mar 11 2013 Elan Ruusamäe <glen@delfi.ee> 57aaf48
- up to 20130306

* Thu Feb 21 2013 Elan Ruusamäe <glen@delfi.ee> 093ed03
- up to 20130220

* Tue Jan 08 2013 Elan Ruusamäe <glen@delfi.ee> 86600e7
- up to 20130107

* Thu Nov 08 2012 Elan Ruusamäe <glen@delfi.ee> e086cf6
- up to 20121107

* Fri Nov 02 2012 Elan Ruusamäe <glen@delfi.ee> fd945e8
- up to 20121030

* Tue Oct 16 2012 Elan Ruusamäe <glen@delfi.ee> 9819822
- up to 20121004

